Bug 1570839 - Segmentation fault in AnimCurCancelTimer with latest Xorg [NEEDINFO]
Summary: Segmentation fault in AnimCurCancelTimer with latest Xorg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-server
Version: 7.5
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-23 14:03 UTC by jigar
Modified: 2018-10-30 08:02 UTC (History)
3 users (show)

Fixed In Version: xorg-x11-server-1.20.0-0.1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-30 08:02:18 UTC
Target Upstream Version:
tpelka: needinfo? (jraising)


Attachments (Terms of Use)
Backtrace (2.74 KB, text/plain)
2018-04-23 14:03 UTC, jigar
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3059 0 None None None 2018-10-30 08:02:52 UTC

Description jigar 2018-04-23 14:03:44 UTC
Created attachment 1425673 [details]
Backtrace

Description of problem: 

In a multiseat enviroment with two Xorg servers running with latest the Xorg crashes with a segmentation fault.

/usr/bin/X +iglx -ac -br -audit 0 -isolateDevice PCI:1:0:0 :0 -layout seat0 -seat seat0 -auth /var/run/lightdm/root/:0 -listen tcp vt1 -novtswitch
/usr/bin/X +iglx -ac -br -audit 0 -isolateDevice PCI:3:0:0 -sharevts :1 -layout seat1 -seat seat1 -auth /var/run/lightdm/root/:1 -listen tcp

# xinput
⎡ Virtual core pointer                          id=2    [master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer                id=4    [slave  pointer  (2)]
⎜   ↳ Mouse5                                    id=6    [slave  pointer  (2)]
⎜   ↳ Keyboard2                                 id=7    [slave  pointer  (2)]
⎜   ↳ EloTouchSystems,Inc Elo TouchSystems 2216 AccuTouch® USB Touchmonitor Interface   id=8    [slave  pointer  (2)]
⎜   ↳ EloTouchSystems,Inc Elo TouchSystems 2216 AccuTouch® USB Touchmonitor Interface   id=9    [slave  pointer  (2)]
⎜   ↳ EloTouchSystems,Inc Elo TouchSystems 2216 AccuTouch® USB Touchmonitor Interface   id=10   [slave  pointer  (2)]
⎣ Virtual core keyboard                         id=3    [master keyboard (2)]
    ↳ Virtual core XTEST keyboard               id=5    [slave  keyboard (3)]


# echo '3-4' | tee /sys/bus/usb/drivers/usb/unbind

# xinput
⎡ Virtual core pointer                          id=2    [master pointer  (3)]
⎜   ↳ Virtual core XTEST pointer                id=4    [slave  pointer  (2)]
⎜   ↳ Mouse5                                    id=6    [slave  pointer  (2)]
⎜   ↳ Keyboard2                                 id=7    [slave  pointer  (2)]
⎣ Virtual core keyboard                         id=3    [master keyboard (2)]
    ↳ Virtual core XTEST keyboard               id=5    [slave  keyboard (3)]

# echo '3-4' | tee /sys/bus/usb/drivers/usb/bind



Version-Release number of selected component (if applicable): xorg-x11-server-Xorg-1.19.3-11.el7_4.2.x86_64.rpm


How reproducible: Always


Steps to Reproduce:

# export DISPLAY=:0
# xinput create-master touch1      
# xinput remove-master "touch1 pointer"
XIO:  fatal IO error 11 (Resource temporarily unavailable) on X server ":0.0"
      after 18 requests (18 known processed) with 0 events remaining.

Actual results: xorg is crashing with segmentation fault


Expected results: xorg shouldn't crash.


Additional info:

1) We have no segmentation fault doesn't occur with older xorg-x11-server-Xorg releases. So, its a regression bug.

2) Change Log:

2018-02-21 Adam Jackson <ajax@redhat.com> - 1.19.3-11.2
    - Fix fetching animated cursor images with the XFIXES extension

3) Upstream bug : https://bugs.freedesktop.org/show_bug.cgi?id=105761

Comment 9 errata-xmlrpc 2018-10-30 08:02:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3059


Note You need to log in before you can comment on or make changes to this bug.